{ pkgs, ... }: 
rec {
  home.packages = with pkgs.gnomeExtensions; [
    gsconnect
    vitals
    caffeine
  ];

  dconf.settings = {
    # Enable installed extensions
    "org/gnome/shell".enabled-extensions = map (extension: extension.extensionUuid) home.packages;

    "org/gnome/shell".disabled-extensions = [];
  };
}
